---
title: Create Export
url: https://docs.vultr.com/products/cloud-storage/storage-gateway/management/create-export
description: Learn how to add an export to an existing Vultr Storage Gateway to share data with clients
publish_date: 2025-05-16T16:25:10.970196Z
last_updated: 2026-05-26T19:42:29.384872Z
---

# How to Add an Export for an Existing Vultr Storage Gateway

Vultr Storage Gateway (an NFS Gateway for Vultr File System) enables scalable NFS-based access to VFS volumes from Vultr Bare Metal and Cloud Compute instances. Adding an export to an existing gateway lets you

* Share a single VFS volume across multiple Bare Metal instances.
* Attach multiple VFS volumes to a single instance.
* Manage shared storage more efficiently across your infrastructure.

Follow this guide to create an export for an existing Vultr Storage Gateway using the Vultr API.

1. Send a `GET` request to the [**List Storage Gateways** endpoint](https://www.vultr.com/api/#tag/storage-gateways/operation/list-storage-gateways) to retrieve the available Vultr Storage Gateways.

    ```console
    $ curl "https://api.vultr.com/v2/storage-gateways" \
        -X GET \
        -H "Authorization: Bearer ${VULTR_API_KEY}"
    ```

1. Send a `GET` request to the [**List VFS** endpoint](https://www.vultr.com/api/#tag/VFS/operation/listVFS) to retrieve available Vultr File System volumes.

    ```console
    $ curl "https://api.vultr.com/v2/vfs" \
        -X GET \
        -H "Authorization: Bearer ${VULTR_API_KEY}"
    ```

1. Send a `POST` request to the [**Add Storage Gateway Export** endpoint](https://www.vultr.com/api/#tag/storage-gateways/operation/add-storage-gateway-export) to add a new export for an existing Storage Gateway.

    ```console
    $ curl "https://api.vultr.com/v2/storage-gateways/<storage-gateway-id>/exports" \
        -X POST \
        -H "Authorization: Bearer ${VULTR_API_KEY}" \
        -H "Content-Type: application/json" \
        --data '{
            "label": "<my-export-label>",
            "pseudo_root_path": "<export-path>",
            "vfs_uuid": "<vfs-volume-id>",
            "allowed_ips": [
                "<bare-metal-ip>/32"
            ]
        }'
    ```

1. Send a `GET` request to the [**Storage Gateway** endpoint](https://www.vultr.com/api/#tag/storage-gateways/operation/get-storage-gateway) using the Storage Gateway ID to verify that the export was created.

    ```console
    $ curl "https://api.vultr.com/v2/storage-gateways/<storage-gateway-id>" \
        -X GET \
        -H "Authorization: Bearer ${VULTR_API_KEY}"
    ```